%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             hibernate-search
Version:          4.4.0
Release:          0.6%{namedreltag}%{?dist}
Summary:          Hibernate Search
License:          LGPLv2+
Url:              http://search.hibernate.org

# wget https://github.com/hibernate/hibernate-search/archive/4.4.0.CR1.tar.gz
# tar -xf 4.4.0.CR1.tar.gz
# rm -rf hibernate-search-4.4.0.CR1/orm/src/test/resources/org/hibernate/search/test/bridge/tika/
# tar -cvjf hibernate-search-4.4.0.CR1-CLEAN.tar.gz hibernate-search-4.4.0.CR1/
Source0:          hibernate-search-%{namedversion}-CLEAN.tar.gz

BuildRequires:    maven-local
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    avro
BuildRequires:    jgroups
BuildRequires:    slf4j
BuildRequires:    jboss-transaction-1.1-api
BuildRequires:    lucene
BuildRequires:    lucene-contrib
BuildRequires:    h2
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-processor-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    byteman
BuildRequires:    hibernate-commons-annotations
BuildRequires:    geronimo-jta
BuildRequires:    solr3
BuildRequires:    junit
BuildRequires:    tika
BuildRequires:    infinispan

BuildArch:        noarch

%description
Full text search engines like Apache Lucene are very powerful technologies to
add efficient free text search capabilities to applications. However, Lucene
suffers several mismatches when dealing with object domain models. Amongst
other things indexes have to be kept up to date and mismatches between index
structure and domain model as well as query mismatches have to be avoided.

Hibernate Search addresses these shortcomings - it indexes your domain model
with the help of a few annotations, takes care of database/index
synchronization and brings back regular managed objects from free text queries.

Hibernate Search is using Apache Lucene under the cover.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-search-%{namedversion}

%pom_disable_module integrationtest/as
%pom_disable_module integrationtest/spring
%pom_disable_module testing
%pom_disable_module modules
%pom_disable_module orm
%pom_disable_module legacy

%pom_remove_plugin ":maven-enforcer-plugin"

%pom_remove_dep "org.apache.tika:tika-parsers" engine/pom.xml
%pom_add_dep "org.apache.tika:tika-core" engine/pom.xml

%pom_xpath_remove "pom:dependencies/pom:dependency[pom:scope = 'test']" engine/pom.xml

%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'solr-analysis-extras']/pom:version" 3 pom.xml

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc lgpl.txt README.md

%files javadoc -f .mfiles-javadoc
%doc lgpl.txt

%changelog
* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.4.0-0.6.CR1
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.5.CR1
- Enable infinispan module

* Fri Oct 18 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.4.CR1
- Updated license and dist macro

* Fri Oct 18 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.3.CR1
- Cleaned up source from mp3 (?!) files

* Wed Oct 16 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.2.CR1
- Use version 3 (compat) of solr

* Wed Oct 09 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.1.CR1
- Initial import



